Scope Access Review Instance - Record All Decisions
An action to approve/deny all decisions for a review with certain filters.
POST https://management.azure.com/{scope}/providers/Microsoft.Authorization/accessReviewScheduleDefinitions/{scheduleDefinitionId}/instances/{id}/recordAllDecisions?api-version=2021-12-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
id
|
path | True |
string |
The id of the access review instance. |
|
schedule
|
path | True |
string |
The id of the access review schedule definition. |
|
scope
|
path | True |
string |
The scope of the resource. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| decision |
The decision to make. Approvers can take action of Approve/Deny |
|
| justification |
string |
Justification provided by approvers for their action |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
There is no content to send for this request, but the headers may be useful. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
AccessReviewInstanceRecordAllDecisions
Sample request
POST https://management.azure.com/subscriptions/fa73e90b-5bf1-45fd-a182-35ce5fc0674d/providers/Microsoft.Authorization/accessReviewScheduleDefinitions/fa73e90b-5bf1-45fd-a182-35ce5fc0674d/instances/d9b9e056-7004-470b-bf21-1635e98487da/recordAllDecisions?api-version=2021-12-01-preview
{}
Sample response
Definitions
| Name | Description |
|---|---|
|
Error |
Error |
|
Error |
Error |
|
Record |
Record All Decisions payload. |
|
Record |
The decision to make. Approvers can take action of Approve/Deny |
ErrorDefinition
Error
| Name | Type | Description |
|---|---|---|
| error |
Error |
ErrorDefinitionProperties
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code of list gateway. |
| message |
string |
Description of the error. |
RecordAllDecisionsProperties
Record All Decisions payload.
| Name | Type | Description |
|---|---|---|
| decision |
The decision to make. Approvers can take action of Approve/Deny |
|
| justification |
string |
Justification provided by approvers for their action |
| principalId |
string |
The id of principal which needs to be approved/denied. |
| resourceId |
string |
The id of resource which needs to be approved/denied. |
RecordAllDecisionsResult
The decision to make. Approvers can take action of Approve/Deny
| Value | Description |
|---|---|
| Approve |
Approve |
| Deny |
Deny |